
    <div class="page-wrapper">

        <div class="container-fluid">

            <div class="row page-titles">
                <div class="col-md-6 align-self-center">
                    <h3 class="text-themecolor m-b-0 m-t-0">Product Offer</h3>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active">Product Offer</li>
                    </ol>
                </div>
                <div class="col-md-6 col-4 align-self-center">
                    <a class="btn pull-right hidden-sm-down btn-success" data-toggle="modal" data-target=".bs-example-modal-lg"> Add Product Offer</a>
                </div>
                <!--<div class="col-md-6 col-4 align-self-center">-->
                    <!--<a class="btn pull-right hidden-sm-down btn-success" data-toggle="modal" data-target=".bs-example-modal-lg"> Add Product to Offers</a>-->
                <!--</div>-->
                <!-- modal content for Add peoduct -->
                <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" style="display:none;" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title" id="myLargeModalLabel">
                                    Add Offer
                                </h4>
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
                            </div>
                            <div class="modal-body">
                                <div class="card">
                                    <div class="card-block">
                                        <form class="form p-t-20">




                                            <div class="form-group">
                                        <label>Product Offer Name</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control"  placeholder="product offer name" ng-model="offer.productOfferName">
                                        </div>
                                    </div>
                                    <!--<div class="form-group">-->
                                        <!--<label>Product Offer Id</label>-->
                                        <!--<div class="input-group">-->
                                            <!--<input type="text" class="form-control"  placeholder="categoryDescription" ng-model="offer.productOfferId">-->
                                        <!--</div>-->
                                    <!--</div>-->
                                            <div class="form-group">
                                                <label>Product Offer Rate</label>
                                                <div class="input-group">
                                                    <input type="text" class="form-control"  placeholder="product offer rate" ng-model="offer.productOfferRate">
                                                </div>
                                            </div>



                                    <button  class="btn btn-success waves-effect waves-light m-r-10" ng-click="saveOffer(offer)">save</button>
                                    <button class="btn btn-inverse waves-effect waves-light" data-dismiss="modal" id="btnClose">cancel</button>
                                </form>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>




            </div>


            <div class="row">
                <!-- column -->
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-block">
<!--
                            <h4 class="card-title"><a href="#" class="btn pull-right hidden-sm-down btn-success">Add Product</a></h4>
-->

                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th ng-repeat="(key,value) in headerList" ng-if="key!=='__v'&&key!='_id'">{{key}}</th>
                                        <th>Action</th>

                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr dir-paginate="offer in offerDetailsarray|filter:searchtext|itemsPerPage:5">
                                        <td ng-repeat="(key,value) in offer" ng-if="key!=='__v'&&key!='_id'">{{value}}</td>
                                        <td class="btn btn-success waves-effect tex-left" ng-click="getEditOfferDetailsById(offer._id)" data-toggle="modal" data-target="#editmodal">Edit</td>
                                        <td class="btn btn-danger waves-effect tex-left" data-toggle="modal" data-target="#deleteModal" ng-click="setDeleteOfferid(offer._id)">Delete</td>
                                    </tr>

                                    </tbody>
                                </table>
                            </div>


                        </div>
                    </div>
                    <dir-pagination-controls class="paging"
                                             max-size="3"
                                             direction-links="true"
                                             boundary-links="true" >
                    </dir-pagination-controls>
                </div>
            </div>

        </div>




        <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" style="display:none;" id="editmodal">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        Edit Offer
                    </h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
                </div>
                <div class="modal-body">
                    <div class="card">
                        <div class="card-block" ng-repeat="edit in editOfferObj">

                            <form class="form p-t-20">

                                <div class="form-group">
                                    <label>productOfferName</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Offer Name" ng-model="edit.productOfferName">
                                    </div>
                                </div>
                                <!--<div class="form-group">-->
                                    <!--<label>productOfferId</label>-->
                                    <!--<div class="input-group">-->
                                        <!--<input type="text" class="form-control"  placeholder="Category Name" ng-model="edit.productOfferId">-->
                                    <!--</div>-->
                                <!--</div>-->


                                <div class="form-group">
                                    <label>productOfferRate</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control"  placeholder="Product Offer Rate" ng-model="edit.productOfferRate">
                                    </div>
                                </div>

                                <button  class="btn btn-success waves-effect waves-light m-r-10" ng-click="editUpdateOfferDetails(edit)">save</button>
                                <button class="btn btn-inverse waves-effect waves-light" data-dismiss="modal" id="btnCloses">cancel</button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

        <div class="modal fade" id="deleteModal" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Confirm Deletion</h4>
                    </div>
                    <div class="modal-body">
                        <p>Are you sure you want to delete this item ?</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal" id="btnClosess">Close</button>
                        <button type="submit" class="btn btn-default" ng-click="deletOfferDetails(deleteOfferId)">
                            Delete</button>

                    </div>
                </div>

            </div>
        </div>


        <div>




        <footer class="footer text-center">
            © 2017 Monster Admin by wrappixel.com
        </footer>

    </div>

